<?php
/*
 * Plugin Name: CountPages
 * Description: Show number of entries, drafts, and statics.
 * Version: 1.1.0
 * Plugin URI: https://www.robertriebisch.de
 * Author: Robert Riebisch
 * Author URI: https://www.robertriebisch.de
 */

if (class_exists('AdminPanelAction')) {

    class admin_entry_countpages extends AdminPanelAction {

        function setup() {
            $this->smarty->assign('admin_resource', 'plugin:countpages/countpages');
        }

        function main() {
            // query all entries
            $q = new FPDB_Query(array(
                'fullparse' => false,
                'start' => 0,
                'count' => -1),
                null);

            // loop through entries for counting
            $num_entries = 0;
            while ($q->hasMore()) {
                $num_entries++;
                $q->getEntry();
            }

            // get number of draft entries
            $num_drafts = count(draft_getlist());

            // get number of static pages
            $num_statics = count(static_getlist());

            // prepare output
            $lang = lang_load('plugin:countpages');
            $pages_prep = $lang ['admin'] ['entry'] ['countpages'] ['pages'];
            $pages_prep = sprintf($pages_prep, $num_entries + $num_drafts + $num_statics);

            // handover data to Smarty
            $countpages ['num_entries'] = $num_entries;
            $countpages ['num_drafts'] = $num_drafts;
            $countpages ['num_statics'] = $num_statics;
            $countpages ['pages'] = $pages_prep;
            $this->smarty->assign('countpages', $countpages);
        }

    }

    // register to 'Entries' menu
    admin_addpanelaction('entry', 'countpages', true);

}
